DLVRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class DLVRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.DLVRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class DLVRecord
      extends Record

  DLV - contains a Delegation Lookaside Validation record, which acts as the equivalent of a DS record in a lookaside zone.
  Author:
    David Blacka, Brian Wellington
  See Also:
    `DNSSEC`, `DSRecord`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SHA1_DIGEST_ID`
    `static int` | `SHA256_DIGEST_ID`

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DLVRecord(Name name, int dclass, long ttl, int footprint, int alg, int digestid, byte[] digest)` Creates a DLV Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlgorithm()` Returns the key's algorithm.
    `byte[]` | `getDigest()` Returns the binary hash of the key.
    `int` | `getDigestID()` Returns the key's Digest ID.
    `int` | `getFootprint()` Returns the key's footprint.

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SHA1_DIGEST_ID

          public static final int SHA1_DIGEST_ID

      See Also:
        Constant Field Values

    - #### SHA256_DIGEST_ID

          public static final int SHA256_DIGEST_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DLVRecord

          public DLVRecord(Name name,
                   int dclass,
                   long ttl,
                   int footprint,
                   int alg,
                   int digestid,
                   byte[] digest)

      Creates a DLV Record from the given data
      Parameters:
        `footprint` - The original KEY record's footprint (keyid).
        `alg` - The original key algorithm.
        `digestid` - The digest id code.
        `digest` - A hash of the original key.

  - ### Method Detail

    - #### getAlgorithm

          public int getAlgorithm()

      Returns the key's algorithm.

    - #### getDigestID

          public int getDigestID()

      Returns the key's Digest ID.

    - #### getDigest

          public byte[] getDigest()

      Returns the binary hash of the key.

    - #### getFootprint

          public int getFootprint()

      Returns the key's footprint.